BuckBus
API
API
  1. Assets
  • API Introduction
    • Introduction
    • References
    • Test store
    • Authorization
    • Processing of requests
    • Webhooks
  • APIs
    • Assets
      • List assets
        GET
    • Accounts
      • List accounts
    • Payments
      • Create payment
      • Create fiat payment
      • List payments
      • Payment details
      • List payment transactions
    • Dedicated addresses
      • Create dedicated address
      • Release dedicated address
    • Transfers
      • Create transfer
    • Withdrawals
      • Create withdrawal
      • Withdrawal details
    • Convert
      • Convert amount
  • Schemas
    • Payment
    • PaymentTransaction
    • Lang
    • Withdrawal
    • DedicatedAddress
    • Providers
    • Reverse
    • Asset
    • Account
    • Accounts
API
API
  1. Assets

List assets

GET
https://api.bucksbus.com/int/assets

Request

Authorization
Send your HTTP requests with an
Authorization
header that contains the word Basic followed by a space and a base64-encoded string username:password
Example:
Authorization: Basic *****************
Header Params

Responses

🟢200Success
application/json
Body

🟠401Unauthorized
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://api.bucksbus.com/int/assets' \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json'
Response Response Example
[
    {
        "asset_id": "BTC",
        "asset_name": "Bitcoin",
        "currency": "BTC",
        "currency_name": "Bitcoin",
        "language": "en",
        "asset_type": "CRYPTO",
        "asset_type_name": "Crypto Currenies",
        "symbol": "â‚¿",
        "sort_order": 20,
        "min_size": 1e-8,
        "precision": 8,
        "timeout_to_trx": 90,
        "timeout_to_wdr": 1440,
        "crypto_network": "BITCOIN",
        "crypto_network_name": "Bitcoin",
        "crypto_network_confirmations": 6,
        "crypto_address_link": "https://live.blockcypher.com/btc/address/{{address}}",
        "crypto_transaction_link": "https://live.blockcypher.com/btc/tx/{{txId}}",
        "min_withdrawal_amount": 0.0001,
        "max_withdrawal_amount": 2400
    }
]
Previous
Webhooks
Next
List accounts
Built with